# Interface HallInfo.HallReceiver

All Known Implementing Classes:
  `SpaceGroup, SpecialGroup`

Enclosing class:
  `HallInfo`

public static interface HallInfo.HallReceiver
An interface to receive the decoded matrices from Hall notation. These matrices have only integer components. Translations are in 12ths. In Jmol, org.jmol.symmetry.SpaceGroup.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addHallOperationCheckDuplicates(M4 operation)`
Add a (possibly) new operation, checking for duplicates.
`M4`
`getMatrixOperation(int k)`
Get the 4x4 matrix for the kth operation.
`int`
`getMatrixOperationCount()`
Get the receiver's current operation count.

## Method Details

### getMatrixOperationCount

int getMatrixOperationCount()
Get the receiver's current operation count.

Returns:
  number of operations

### getMatrixOperation

M4 getMatrixOperation(int k)
Get the 4x4 matrix for the kth operation. Translations must be in 12ths.

Parameters:
  `k` -
Returns:
  4x4 matrix, translations in integer 12ths

### addHallOperationCheckDuplicates

boolean addHallOperationCheckDuplicates(M4 operation)
Add a (possibly) new operation, checking for duplicates.

Parameters:
  `operation` -
Returns:
  true if added, false if duplicate